%define anolis_release 1
%global pypi_name distro

Name:           python-%{pypi_name}
Version:        1.8.0
Release:        %{anolis_release}%{?dist}
Summary:        Linux Distribution - a Linux OS platform information API

License:        ASL 2.0
URL:            https://github.com/python-distro/distro
Source0:        %{url}/archive/refs/tags/v%{version}.tar.gz
BuildArch:      noarch
 
%global _description \
The distro (for: Linux Distribution) package provides information about the\
Linux distribution it runs on, such as a reliable machine-readable ID, or\
version information.\
\
It is a renewed alternative implementation for Python's original\
platform.linux_distribution function, but it also provides much more\
functionality. An alternative implementation became necessary because\
Python 3.5 deprecated this function, and Python 3.7 is expected to remove it\
altogether. Its predecessor function platform.dist was already deprecated since\
Python 2.6 and is also expected to be removed in Python 3.7. Still, there are\
many cases in which access to that information is needed. See Python issue 1322\
for more information.

%description %{_description}

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-pytest
Suggests:       /usr/bin/lsb_release

%description -n python3-%{pypi_name} %{_description}

Python 3 version.

%package doc
Summary:        Documentation files for python3-%{pypi_name}
Requires:       python3-%{pypi_name} = %{version}-%{release}
BuildArch:      noarch

%description doc
The python3-%{pypi_name}-doc package contains documentation files for python3-%{pypi_name}.

%prep
%autosetup -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires -t

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

%files -n python3-%{pypi_name}
%doc CONTRIBUTORS.md
%license LICENSE
%{python3_sitelib}/%{pypi_name}/
%{python3_sitelib}/%{pypi_name}-%{version}.dist-info/

%{_bindir}/distro

%files doc
%doc CHANGELOG.md README.md

%check
%tox

%changelog
* Fri Dec 30 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 1.8.0-1
- update to version 1.8.0

* Fri Sep 23 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 1.7.0-1
- update to 1.7.0

* Tue Mar 22 2022 Chunmei Xu <xuchunmei@linux.alibaba.com> - 1.6.0-1
- init for Anolis OS 23
